Copyright: UltraPak Version 2.0 Help


Contents

Connecting a TNC

TNC Settings

UltraPak Menus

Function Keys

How to.....

Registering UltraPak

UltraPak Defaults

UltraPak Directory Structure

TNC Command Reference


Connecting a TNC

Connecting  your TNC to UltraPak is not difficult.  There are several parameters which need to be set up in both the TNC and in UltraPak correctly in order to enable proper communication between the two.

You need to take account of :

COM Port

Baud rate

Handshaking

Word length

Parity

COM Port

Choose whichever COM port suits you best.  COM 1 may have a mouse attached.  UltraPak is initially set up for COM 1, but this can be changed by clicking on the panel which displays the COM port on UltraPaks main screen or by selecting the appropriate option from the Configure menu.  COM 1 to 4 is available.   When you start up UltraPak for the first time, if the default COM port in the supplied ULTRAPAK.INI file (COM 1) is not available, you will receive an error message.  Click on OK to acknowledge the message but to let UltraPak carry on loading.  You can then change the COM port.  If you do this however, you should click on the Ver button to verify the status of the TNCs streams, as UltraPak will not have been able to carry that verification out automatically on startup as it normally would.

Baud Rate

Again this is a matter of choice, though you should not set a rate lower than that which the TNC uses to communicate with the radio (normally 1200 or 9600 for VHF/UHF and 300 for HF).  UltraPak is set for 9600 baud but this can be changed by clicking on the panel which displays the current settings on UltraPaks main screen or by selecting the appropriate option from the Configure menu.  Baud rates from 300 to 19200 can be set.

Handshaking

You have two choices, as you would in connecting to any terminal program - whether to use hardware handshaking or software handshaking.  Both have advantages and disadvantages.

Earlier versions of UltraPak also needed access to the DCD line to determine the connected state of the TNC, but version 1.1 on does not.  The connect state of each stream from that version on is determined by monitoring the *** CONNECTED and *** DISCONNECTED strings sent by the TNC.

The connections to a standard 25-pin RS-232 port on a PC are listed below :

Pin 1	Frame Ground	FG
Pin 2	Transmitted Data	TXD
Pin 3	Received Data	RXD
Pin 4	Request To Send	RTS
Pin 5	Clear To Send	CTS
Pin 6	Data Set Ready	DSR
Pin 7	Signal Ground	SG
Pin 8	Data Carrier Detect	DCD
Pin 20	Data Terminal Ready	DTR

Hardware handshaking

Hardware handshaking requires the use of two handshaking lines between the PC and TNC in addition to the three lines required for data transmission (TXD, RXD and FG).  This is the only real drawback and, if this is not a problem, hardware handshaking is preferable.  The handshaking lines are RTS and CTS.  RTS is raised to indicate that the device is ready to send data.  CTS is raised to indicate that the device is ready to receive data.

If using hardware handshaking, the TNCs XFLOW command should be set to OFF.

Software handshaking

Software handshaking requires only three lines between the PC and TNC - TXD, RXD and ground (Transmit Data, Receive Data and ground).  Handshaking is achieved by control codes embedded in the data stream.  Normally Control-S (ASCII 19) stops data flow, and Control-Q (ASCII 17) starts data flow.  If using software handshaking, the TNCs XFLOW parameter should be set to ON.  The XON and XOFF characters referred to above can also be set in the TNC - these should be left as the defaults.

Setting up handshaking in UltraPak

Configuring UltraPak for either of the above handshaking methods above is simple.  Either click on the handshaking status window or click on the Configure menu and choose Port and then Handshaking.  Choose either Hard or Soft.

Remember to set the TNCs XFLOW  parameter correspondingly (ON for soft handshaking, OFF for hard)

Word length/Parity

Word length and parity are normally set to 8 data bits, 1 stop bit and no parity.  UltraPak is shipped with these settings as standard.  The settings may be changed by clicking on the settings status display or by selecting the appropriate option from the Configure menu.


Menus

UltraPak Menus

Menu Structure

File Menu

Edit Menu

Configure Menu

Transfers Menu

Options Menu

Stream Menu

Window Menu

Help Menu


File Menu

Save Settings (Sav button)

Saves all current user options (in ULTRAPAK.INI).  This option should not need to be used in normal operation, as all user options are automatically saved on exit from UltraPak if any have been changed during the current session.

 Note that if UltraPak is exited illegally, for example if the computer crashes or there is an interruption in power, then any settings modified during that session will not be saved.  For this reason, you might like to explicitly save your new settings without waiting until the end of the session.

Settings may also be saved by clicking on the Sav button

Exit (Exit button, Alt-X)

Ends the UltraPak session, prompting for confirmation if the Confirm on exit option is true.  If any user options have been changed during the session, all user options are saved in ULTRAPAK.INI.  Any open log files are automatically closed.

If the CONNECT log is being maintained then the time of ending the session is logged to the file CONNECT.LOG.

The UltraPak session may also be ended by clicking on the Exit button, by pressing Alt-X, or by closing the window with the control box at the top left corner.


Edit Menu

Copy Receive Buffer (Buf button, F12)

Writes the selected contents of the Receive window (or the whole window if nothing is explicitly selected) to either the Windows Clipboard (the default), disc ,the printer or UltraPaks message buffer.

If a disc file is created,  by default it is stored in the \LOG subdirectory.

The copy buffer action may also be invoked by clicking the Buf button or pressing F12.

Note that the action is always carried out on the Receive Window for the current stream.

Find...(Shift-F2)

Allows a piece of text to be searched for in the current Receive Window. The search may be case-sensitive or not.  If the search is successful, the text found is highlighted.

The search facility may also be invoked by pressing Shift-F2, or by double-clicking the current Receive Window.

Find Next...(Shift-F3)

Continues a search initiated with the Find option, using the same search text.


Configure Menu

Set system time (Status display)

Runs the WINDOWS Control Panel, so that the system time can be adjusted. The system time is used by UltraPak to display an on-screen clock and to write entries to the current log file and CONNECT.LOG.

The same action is invoked by clicking on the time status display

Set system date (Status display)

Runs the WINDOWS Control Panel, so that the system date can be adjusted. The system date is used by UltraPak to display an on-screen clock and to write entries to the current log file and CONNECT.LOG.

Clicking on the date status display will also allow the date to be set.

Port Menu

User Options (F11)

Allows the user to change a variety of user-defined options within UltraPak.

The full list of options is :

Beep on Connect	Sound a beep (or WAV file) when connecting
Beep on Disconnect	Sound a beep (or WAV file) when disconnecting
Maintain connect log	Keep a log of start and end times of UltraPak sessions and times of all connects and disconnects
Word-wrap	Automatic word-wrapping at end of line in the transmit window
Confirm on exit	Ask the user to confirm that the UltraPak session should be terminated
Annotate log file	Add log start and end times to log file
TNC INI file	Use a TNC initialisation file at UltraPak startup
YAPP timeout	The time (in secs) of inactivity before aborting a YAPP file transfer
Stream-switch character	The character to be used to notify a stream switch.  This must  be the same as set up in the TNC
Packet length	The length of packets in normal use
YAPP packet length	The length of packets in YAPP file transfers
Screen width	The width of the transmit window (in characters).  This value doesnot  affect the receive window width
Editor	The filename of the editor to be used with UltraPak
Connect WAV file	Filename of the WAV file to be played on connecting
Disconnect WAV file	Filename of the WAV file to be played on disconnecting
Autosplit	Automatically split the Receive Window when connected to two or more stations
Split mode	Split Receive Window Horizontally or Vertically
TNCTime	Send DAYTIME command to TNC at startup

The user options may also be accessed by pressing the F11 key.

Colours Menu

Fonts Menu


Port Menu

COM Port (Status display)

Allows the COM port to be changed.  Valid ports are 1,2,3 and 4.  If a non-existent port, or a port used by another application, is selected an error is signalled.

The COM port may also be changed by clicking on the relevant status display on the main screen.

Handshaking (Status display)

Allows the method of handshaking to be set for the active port.  Valid methods are None, Hardware, Software or Both.

The handshaking method may also be changed by clicking on the relevant status display on the main screen.  The TNCs XFLOW parameter should be set OFF if hardware handshaking is chosen, and ON for software (XON/XOFF) handshaking.

Settings (Status display)

Allows the speed (baud rate), parity, number of data bits and number of stop bits to be set for the current port.  An invalid combination of settings will cause an error to be signalled.

Valid values are :

Speed :  300, 600, 1200, 2400, 4800, 9600 or 19200 baud

Parity :  None, even, odd, mark or space

Data bits :  6, 7 or 8

Stop bits :  1, 1.5 or 2

The settings may also be changed by clicking on the relevant status display on the main screen.

Buffers

Allows setting of the buffer sizes, in kilobytes, for the input (receive) buffer and output (transmit),buffer.  The minimum size is 1 kilobyte, the maximum size is 16 kilobytes.  Normally, the UltraPak defaults are sufficient.


Colours Menu

Receive Window Background

Modify the background colour of the Receive windows.

Receive Window Text

Modify the text colour of the Receive windows

Transmit Window Background

Modify the background colour of the Transmit window.

Transmit Window Text

Modify the text colour of the Transmit window


Fonts Menu

Receive Window

Modify the font and/or font attributes (bold, italic etc.) for the Receive windows text.

Transmit Window

Modify the font and/or font attributes (bold, italic etc.) for the Transmit window text.


Transfer Menu

Connect (Con button)

Toggles between the connect and disconnect command, depending on the TNCs current connect status for the stream.  If connected, UltraPak sends a Ctrl-C to put the TNC into command mode, and follows that with a D to force a hard disconnect.

If the TNC is not connected, UltraPak will display the current Connect List, allowing the user to choose the station to connect to or modify the connect list itself.  Note that the Con command button itself reflects the state of the TNC, being illuminated red if connected.  Also the connect LED at the bottom centre of the screen will illuminate red when connected.  The status displays reflect the connected state of the current stream.

The connect list is stored in a file called CONNLIST.TXT in the UltraPak home directory.

Connection and disconnection may also be invoked by clicking on the Con button.

Ascii Menu

YAPP Menu


ASCII Menu

Upload (Up button, F5)

Sends an ASCII text file to the TNC.  The file will be appended with a Control-Z character automatically by UltraPak.  The default directory in which uploaded files are fetched from is the \TXT subdirectory.

ASCII uploads may also be invoked with the Up button or F5.

If using UltraPak with no local echo and the TNCs ECHO ON (not recommended), you may find that the display in the Receive Window of the file sent is corrupted.  However, the text actually transmitted by the TNC is correct.

Download (Dwn button, F4)

Downloads and stores to disc an ASCII text file.  The default directory in which downloaded files are located is the \TXT subdirectory. The menu item is disabled if the TNC is not in a connected state on the current stream.

ASCII downloads may also be invoked with the Dwn button or F4.


YAPP Menu

Upload (Yup button, F7)

Sends a binary file, using the YAPP protocol.  A file transfer window opens when the transfer begins and continuously shows the status of the transfer, closing automatically when the transfer is complete. The menu item is disabled if the TNC is not in a connected state on the current stream.

By default, binary files are uploaded from the \BIN subdirectory.

YAPP uploads may also be invoked with the F7 key and the Yup button.

Download (Ydn button, F8)

Receives a binary file, using the YAPP protocol.  A file transfer window opens when the transfer begins and continuously shows the status of the transfer, closing automatically when the transfer is complete. The menu item is disabled if the TNC is not in a connected state on the current stream.

By default, binary files are downloaded into the \BIN subdirectory.

YAPP downloads may also be invoked with the F8 key and the Ydn button.


Options Menu
.

Options Menu

Print (Prt button)

Toggles the printer on and off.  When ON, everything that appears in the Receive window will be echoed to the printer also. The Prt command button reflects the state of the Printer toggle, being illuminated red if the toggle is ON.

The printer may also be toggled on and off with the Prt button.

The WINDOWS Print Manager may be invoked if necessary by clicking on the PMn button.

Log to disc (Log button, F2)

Toggles disc logging on and off.  When ON, everything that appears in the Receive window is also logged to disc.  If the Annotate log file option is chosen, then the time of opening and closing the log file is inserted into the log also. The Log command button reflects the state of the disc log toggle, being illuminated red if the toggle is ON.

By default, log files are stored in the \LOG subdirectory.

This toggle can also be operated with the Log button or the F2 key.

Clear Receive Window (Clr button, F6)

Clears the current Receive Window.

The Receive Window may also be cleared by clicking the Clr button or by pressing the F6 key.

Note that the text, once cleared, is not  recoverable.

Set TNC Date/time (Day button)

Sends the DAYTIME command to the TNC, thus setting its time to that of the PC.  The menu item is disabled if the TNC is in a connected state on the current stream.

The action may also be invoked by clicking the Day button.

Note that if the TNCTime option is selected then the DAYTIME command is sent automatically at startup.

Prepare Message (Msg button, F3, Double-click Transmit Window)

Displays the Prepare Message screen, allowing the user to compose a message with a simple word-processor before either sending it straight to the TNC or storing it on disc for later use.  The width of the message window is defined by the Screen Width user option.

Note that word-wrapping is always invoked when using the Message Preparation facility, regardless of whether the Word Wrap option is selected or not..

This facility can also be invoked with the Msg button, the F3 key or by double-clicking on the Transmit Window.

Utilities Menu


Utilities Menu

DOS (DOS button, F9)

Shells out of the UltraPak session and into DOS.  The UltraPak session may be resumed by typing EXIT at the operating system prompt.

The operating system may also be accessed by clicking the DOS button or by pressing the F9 key.

Editor (Edit button)

Runs the editor as defined in User Options.  The default is the Windows Notepad, but any editor may be specified.

The editor may also be accessed by clicking the Edit button.

If the filename an/or path specified for the editor in User Options is invalid, UltraPak will flag an error.

File Manager (Fmn button)

Runs the Windows File Manager.

The File Manager is also accessed by clicking the Fmn button.

Print Manager (Pmn button)

Runs the Windows Print Manager.

The Print Manager is also accessed by clicking the Pmn button.


Stream Menu

Stream n  (Alt-n,  Stream button n)

Switches the current output stream to n, where n is one of streams A to J inclusive.  The associated Receive Window will be displayed, or if the Receive Window is split and the new stream window is already displayed, any typed output to the TNC will be sent there.

The current stream is always ticked in the menu list.

Verify Stream Status  (Ver button)

Verifies the status of all TNC streams by issuing the CSTATUS command to the TNC and monitoring the response.  All displays and button statuses are updated accordingly.  If AutoSplit is on and the verification finds more than two streams connected, the Receive Window will be split.

You should use the stream verification if you suspect that UltraPak has been fooled into recognising a connection or disconnection falsely.  This can happen (though it is unlikely) where the *** CONNECTED or *** DISCONNECTED strings occur in received text.

Stream verification may also be performed by clicking the Ver button.


Window Menu

Split/Unsplit Receive Window  (Win button)

Splits or unsplits the Receive Window.  If splitting, the choice of which window to place at the top (or left) and bottom (or right) is given, and the split mode can be chosen (horizontal or vertical).  Splitting can be dome automatically when two or more connections are established by enabling the AutoSplit option.

Go to Other Window  (Shift-F1)

Shifts the current stream to the one associated with the other Receive Window.  This option is only available when the Receive Window is split.

Shift-F1 will also switch to the other window.

Change Split Mode  (Shift-F4)

Changes the Receive Window split mode.  If set to horizontal split, changes to vertical, and vice-versa.

Shift-F4 also changes the split mode.


Help Menu

Contents

Displays the HELP contents screen.

Search for help on....

Displays the Search Dialog box.

About....

Information about UltraPak.

How to Use Help

Help on Help.


Function Keys

The functions keys F1 to F12 are used in UltraPak for the following functions :

Key	Function
F1	Help
F2	Log to disc (toggles ON/OFF)
F3	Prepare a message
F4	Download an ASCII file
F5	Upload an ASCII file
F6	Clear the Receive window
F7	Upload a binary file using YAPP protocol
F8	Download a binary file using YAPP protocol
F9	Shell out to DOS
F10	Access the menu bar
F11	Set User option
F12	Copy the receive buffer (to clipboard/disc/printer)
Shift-F1	Switch to other window
Shift-F2	Search for text in Receive Window
Shift-F3	Continue search initiated with Shift-F2
Shift-F4	Swap split mode (Horizontal/Vertical)


How to.....

Start UltraPak

Initialise the TNC

Connect and disconnect

Use a CONNECT log

Prepare Messages

Use Word-wrap

Transfer ASCII Files

Transfer binary Files (YAPP)

Capture data to disc

Print

Use theStatus Displays

Use Multiple Receive Windows

Set User Options, Colours, Fonts

Use the Button Bar

Search for text

Copy text from the Receive Window

Access other programs

End UltraPak


Starting UltraPak

UltraPak is started in the normal manner by double-clicking on the UltraPak icon or RUNning the program from the Program Manager.

There is a few seconds delay while UltraPak loads in the user options from ULTRAPAK.INI and loads in any connect list.  Additionally, if the TNC initialisation option has been specified then the file TNCINI.TXT is read and the commands within it sent to the TNC.  If the TNCTime option is selected then the DAYTIME command is sent to the TNC to set its date and time from the P.C. clock.

It is possible that errors may be generated at startup  - for instance if the TNC initialisation option has been specified and the TNCINI.TXT file cannot be opened, or the COM port specified is not valid.

If the user has specified that a CONNECT log should be maintained then an entry will be made to the file CONNECT.LOG recording the startup event.

If UltraPak is unable to communicate with the TNC, either because the selected COM port  is invalid or in use, or because the baud rate/parity settings etc. are not correct (or the TNC is not connected to the computer !), then a warning is displayed and the option is given to either abort UltraPak or to carry on and run it anyway.  If settings need amending then you should of course run UltraPak anyway.

UltraPak determines the current state of each stream (connected or not) at startup and automatically splits the Receive Window if connected to two or more stations and AutoSplit is selected.


TNC Initialisation

TNC Initialising

UltraPak offers the user the opportunity to send commands to the TNC every time that the program is started.  These commands are stored in a file called TNCINI.TXT.

UltraPak is shipped with a TNCINI.TXT file, which is bare except for comments.  It is up to the user to prepare a custom version of TNCINI.TXT for their own use.

The format of TNCINI.TXT is one valid command to the TNC on each line.  Any line commencing with a hash (#) will be regarded as a comment and ignored.  All other lines will be sent to the TNC as if typed at the keyboard and it is the users responsibility to ensure that each line is syntactically correct.

If the TNC initialisation option has been specified and the TNCINI.TXT file cannot be opened, UltraPak will flag an error.

A sample TNCINI.TXT file might look like this :

# This is a sample TNCINI.TXT file

#

MYCALL G9XXX

MYPCALL G9XXX-1

ECHO OFF

#

# etc., etc.

Generally, since the TNC should store all settings in battery-backed RAM, it is not usually necessary to re-initialise it every time it is started up (though UltraPak will send the date and time automatically every time if TNCTime is selected).  Since UltraPak needs certain TNC settings to be correct in order to work properly, it might be useful to set those parameters up in a TNCINI.TXT file so that in the event of the TNC losing its settings it is simple to reload them.

Choosing whether to initialise the TNC at startup is done from the User Options window, selected from the Configure menu or by pressing F11.

UltraPak expects the TNCINI.TXT file to be in the home directory, and will flag an error if it cannot find it there.


Connecting/Disconnecting

Connecting and disconnecting

There are several ways of issuing the CONNECT command to the TNC from UltraPak.

1)  Type the command at the keyboard.

2)  Take the Connect option from the Transfer menu.

3)  Click the Con button.

Options 2) and 3) will display the Connect List box, from which the user can select the station to connect to.  Click on the required stations callsign and then click the Con button, or double-click on the callsign.

The Connect List is also maintained from this window.  New callsigns can be entered and stored by clicking the Add button or simply pressing the Enter key.  Callsigns may be removed by clicking on the callsign and clicking Remove.  The callsign string should be entered just as you would type it in the connect command, including any digipeaters in the path.

Your connect list might look like:

G9XYZ

GB7XYZ

G9ABC VIA G9QQQ

etc.

The Con button reflects the TNCs connect state for the currently selected stream by illuminating red when the TNC is connected.  Similarly the CONNECT LED at the bottom centre of the UltraPak screen illuminates.  Finally, the Connect Status panel and the status panel by each stream button indicate the station connected to.

The Con button and the menu act as a toggle.  Clicking either when connected will put the TNC into command mode and issue the D (for Disconnect) command, forcing a hard disconnect.

UltraPak can be configured to beep when the TNC connects or disconnects or both.  The beep issued may be either the default or a WAV file may be specified for either occurrence.  The absence of a valid WAV filename will cause the default beep to sound.  These options are set up in the User Options window, displayed by pressing F11.

If the option has been taken to maintain a CONNECT.LOG file then an entry will be written into the file at each connect or disconnect.


Connect Log

The CONNECT Log

UltraPak offers the user the option of maintaing a log of activity, i.e. logging the date and time of starting and stopping UltraPak and logging all connections and disconnections, including the stream id.

The log is maintained in a file called CONNECT.LOG, located in the UltraPak home directory.

A typical extract from CONNECT.LOG looks like this :

11:12:01, Jul 9, 1994       ULTRAPAK started

11:12:10, Jul 9, 1994       Connected to NNLAN  (STREAM B)

11:23:14, Jul 9, 1994       Disconnected

11:23:21, Jul 9, 1994       Connected to NNLAN  (STREAM B)

11:29:18, Jul 9, 1994       Disconnected

11:29:26, Jul 9, 1994       ULTRAPAK ended

If the option is used, it is recommended that the user keep watch on the size of the log file as it grows rapidly !

The CONNECT log option is set from the User Options window.


Preparing Messages

There are several ways of preparing messages in the UltraPak environment.  At the simplest level, the user can type line-by-line in the Transmit Window, each line being sent to the TNC either when the Enter key is pressed or the text reaches the end of the line.  The width of the Transmit Window is determined by the Screen Width setting in User Options.

Text typed in the Transmit Window will be word-wrapped if the Word-wrap option is specified.

If a message is to be prepared for later transmission (rather than on-line), it is possible to either use the editor, accessed by using the Edit button or from the Utilities option of the Options menu, or to use UltraPaks in-built message preparation facility.  If the external editor is used, the users choice of editor program can be specified in User Options

UltraPaks own message preparation facility is very convenient.  The facility is accessed by clicking on the Msg button, from the Prepare Message option on the Options menu or by double-clicking on the Transmit Window.

The message text is entered into the message window, with simple word-processing type facilities available.

 The  width of the Message Window is determined by the Screen Width setting in User Options, but can be varied as required while preparing the message by using the scroll bar.  The minimum width is 20 characters, the maximum is 80 characters.

When the text is prepared, the user can choose to send it to the TNC immediately, with the Send button, or store it on disc with the Save button.  Clicking the Clear button will clear the Message Window.

The size of the text buffer for preparing the message is approximately 25 kbytes, and the proportion used is displayed in the bar beneath the window.

The message can be optionally appended with the Control-Z character (the default) by checking the box.


Word-wrap

User Options gives the choice of whether to use automatic word-wrapping or not.  Word-wrapping ensures that the text sent to the TNC will not have individual words broken because an end-of-line has been reached.

When using the Transmit Window to send text, the line typed will be word-wrapped if the word-wrap option is specified.  When using the Prepare Message facility, text will be word-wrapped regardless of the setting of the word-wrap option.

The point at which words will be wrapped is determined by the Screen Width setting in User Options.


ASCII File Transfers

UltraPak allows the transfer of ASCII files to and from disc.  Uploads can be invoked by clicking the Up button,  by selecting the ASCII option on the Transfer menu and clicking on Upload, or by pressing F5.

Downloads are invoked by clicking the Dwn button,  by selecting the Download menu item from the ASCII option under the Transfer menu, or by pressing F4.

By default, ASCII files for transferring are located in the \TXT subdirectory.

ASCII files being uploaded are automatically appended with a Control-Z character.

The Download feature is only available when the TNC is connected to another station.

For binary file transfers, e.g. programs or images, you should use the YAPP transfer facility.


YAPP File Transfers

Binary files (e.g. program files, images etc.) may be transferred via the YAPP protocol.  UltraPak supports this protocol and allows both uploads and downloads to be carried out.

Uploads and downloads can be initiated by choosing the YAPP option from the Transfer menu and clicking the appropriate menu item, by clicking on the Yup or Ydn buttons or by pressing F7 (Upload) or F8 (Download).

By default, binary files for uploading and downloaded files are stored in the \BIN subdirectory.

Note that you should wait for the appropriate prompt from the BBS before initiating the transfer, i.e wait for the BBS to say something like :

Ready to send file with YAPP protocol

When a transfer is initiated, UltraPak sends some commands to the TNC  :

CONOK OFF   (to prevent further connect attempts)

STREAMDB OFF   ( to prevent doubling up of the STREAMSW                   	        character)

TRANS   (to put the TNC into TRANSPARENT mode)

Additionally, when uploading, UltraPak sends PACLEN  n1,  where n1 is the YAPP packet length specified in User Options.

When returning from an upload, UltraPak will send PACLEN n2, where n2 is the normal packet length specified in User Options.

The YAPP file transfer window shows the name of the file being transferred, its size in bytes, the status of the transfer and the number of bytes transferred.  Additionally, for downloads only, the window shows the transfer rate, in bytes/sec.

The transfer may be aborted by clicking on the Abort button.  Note that aborting may take a while, depending on what data has been buffered.  If you want to abort the operation immediately then click the Kill button.  This will send the abort code to the other station and bring the TNC out of transparent mode regardless of what state the transfer is in.  If you abort or kill a download, you will probably find that the Receive Window will display a lot of garbage as the sending station empties its buffers before aborting.

The YAPP Timeout parameter is set by the user and is measured in seconds.  If, during a YAPP transfer, a period of inactivity reaches or exceeds the Timeout parameter the transfer will be aborted.  YAPP timeout is set in User Options.


Logging to Disc

Capturing data to disc

The Log button, or the Log to disc option from the Options menu allows logging of all data which appears in the Receive Window to disc.

The button, or menu option, acts as a toggle, so that logging to disc is alternately turned ON and OFF.  The status bar at the lower left of the display will indicate the current logging status and the Log button illuminates red if logging is active.

The F2 key also toggles logging activity.

If the Annotate log file option has been specified, then the log file will have the start and end time of the logging session stored.

By default, log files will be stored in the \LOG subdirectory.


Printing

The Prt button, or Print from the Options menu, acts as a printer toggle.  When ON, everything sent to the Receive Window will be printed to the printer.  There is no printer setup facility within UltraPak - all printing is delegated to the Windows Print Manager.

When printing is ON, the Prt button illuminates red as a reminder.  Also the status display at the bottom of UltraPaks main screen shows the Printer as ON or OFF.

Note that the WINDOW Print Manager can be invoked from UltraPak by clicking on the Pmn button.


Status Displays

UltraPak has many panels displaying the status of the COM port, whether disc logging is active, who the TNC is connected to etc.   The displays are organised as four rows of panels, one above the Receive Window and three below the Transmit Window

Working from the left hand side of the screen, the top row of displays are:

Date	The current date, in the format DD/MM/YY   ACTIVE
Time	The current time, in the format HH:MM:SS     ACTIVE
COM Port	The currently selected COM port    ACTIVE
Port Settings	The currently selected settings of baud rate, data bits, parity, stop bits  ACTIVE
Handshaking	Type of handshaking selected   ACTIVE
Screen Width	The width of the Transmit Screen in characters
Echo	Shows whether local echo is enabled or not   ACTIVE

Immediately beneath the Transmit Window are the ten buttons and the associated displays for the TNC stream status.  Each panel shows the callsign of the station connected on that stream.

Beneath the stream displays, working from left to right are:

Top row:

PMS status	The callsign of the station connected to the PMS, if any
Logging	Shows the status of disc logging
Printer	Whether the printer is ON or OFF
Current Stream	The stream currently selected for output
Connect status	The connect status of the current stream

Bottom row:

Help	Displays a simple, context sensitive help prompt
Port Errors	Shows the last encountered port error.  Port errors are abbreviated thus: PO    Port Overrun PE    Parity Error FE    Framing Error RB   Receive buffer full TB   Transmit buffer full         ACTIVE
Connect LED	A simple LED type display to indicate the TNCs connected state
General	A general display of status where procedures are being carried out - e.g. ASCII file transfers
Receive Window buffer	Displays the percentage used of the Receive Window buffer for the current stream.

Several of the displays are ACTIVE, in the sense that by clicking the mouse when the cursor is over the display some action will be taken.  Generally, these are configuration options.  For instance, clicking on the COM port display will allow you to select a new COM port.  Clicking on the time display will run the WINDOWS Control Panel allowing you to change the system time.  (The port error display is only active in the sense that clicking on it clears the error display).

An active display can always be recognised by the mouse cursor changing to a vertical arrow when over the active display.


Options, Colours, Fonts

User Options, Colours, Fonts

Much of the UltraPak environment is definable by the user.  A range of options determine whether the programs announces connects and disconnects audibly, the width of the Transmit Window, whether transmitted text should be word-wrapped etc., etc.

Additionally, the colour and font used in both the Transmit and Receive Windows is completely under the control of the user.

It is likely that future releases of UltraPak will see more and more control passed to the user.  All user-defined values are stored in the initialisation file, ULTRAPAK.INI

User-defined options in Version 2.0

Parameter	Default	Purpose
~~~~~~~	~~~~~	~~~~~~
Beep on connect	No	Announce when TNC connects
Beep on disconnect	No	Announce when TNC disconnects
Maintain connect log	No	Keep a log of stop/start and all connects and disconnects
Word-wrap	Yes	Wrap transmitted text at whole words
Confirm on exit	Yes	Prompt the user to confirm that he/she wishes to exit
Annotate log file	Yes	Log start and end times of log sessions
TNC INI	Yes	Send TNC initialisation commands from a file
YAPP timeout	120 secs	Inactivity time before aborting YAPP transfers
Stream switch char	Hex 7C	Character to signify stream-switching
Packet length	128	Maximum packet length - normal operation
YAPP packet length	128	Maximum packet length - YAPP transfers
Screen width	75	Maximum line length in Transmit Window
Editor	NOTEPAD.EXE	Filename of editor to be used
Connect WAV file	None	Filename of WAV file to be used for connect bell sound
Disconnect WAV file	None	Filename of WAV file to be used for disconnect bell sound
DAYTIME on startup	Yes	Send the DAYTIME command to set the TNCs time and date at startup
AutoSplit	No	Automatically split the Receive Window when connected to more than one station
Split Mode	H	Split the Receive Window Horizontally or Vertically

User options are set up in UltraPak by pressing F11, or by selecting the appropriate item from the Configure Menu.

**  A note on fonts

Most fonts in Windows are proportionally spaced, i.e. the width taken by a character depends on what that character is, so an i will take less width than a w.  In a packet system where some data is in tabular form, such fonts may give strange, or at least unattractive, results.  For this reason UltraPak is shipped with the Terminal  and Courier fonts as default, as these are both monospaced fonts.  The Terminal font also displays graphic characters correctly.

For the same reason, the Prepare Message window is fixed Courier font.


Button Bar

The Button Bar

Most of the common functions within UltraPak are made accessible via the Button Bar, which lies just above the top row of status displays.  All options are reachable from the menus, but often it is more convenient to click on a button.  Also, some buttons double as indicators that functions are active.

The Button Bar in Version 2.0, reading from the left, performs these functions :

Con	Connect/disconnect toggle.  If not connected will allow you to connect.  If connected, will force a hard disconnect
Ver	Verify the status of all TNC streams
Up	Initiates uploading an ASCII (text) file
Dwn	Initiates downloading an ASCII (text) file
Yup	Initiates uploading a binary file
Ydn	Initiates downloading a binary file
Prt	Printer toggle.  Will turn the printer ON if off and vice versa
Log	Log to disc toggle.  Will turn disc logging ON if off and vice versa
Buf	Writes the currently selected text in the Receive Window to either the Windows Clipboard, disc, the printer or UltraPaks message buffer.  If no text is selected writes the whole Receive Window buffer.
Sav	Saves all user-defined options to disc.  Saving is done automatically on exit if any options have changed.
Pmn	Runs the Windows Print Manager.
Fmn	Runs the Windows File Manager.
DOS	Shells out to DOS.
Edit	Runs the system (user-defined) editor.
Day	Sends the DAYTIME command to the TNC - sets its time and date from the P.C.
Clr	Clears the current Receive Window.  (The text is NOT retrievable !)
Msg	Invokes UltraPaks message preparation utility.
Win	Splits/Unsplits the Receive Window
Exit	Exits UltraPak, saving all user-options if necessary and any connect list

Note that buttons will sometimes be disabled, depending on whether the TNC is connected or not, and what other actions UltraPak is performing.


Ending UltraPak

UltraPak can be ended by clicking on the Exit button, selecting Exit from the File menu, by pressing Alt-X, or by clicking the control box at the top left corner of the main window.

If the Confirm on exit option has been specified, you are asked to confirm that you really do want to quit UltraPak - clicking Cancel will return you to the program; click OK to quit.  All open files are closed, any entries to CONNECT.LOG or an open log file made and user-options saved if necessary.

You should not normally terminate UltraPak while the TNC is connected.


UltraPak Defaults

UltraPak is shipped with the following default values :

Parameter	Default
~~~~~~~~	~~~~~
COM Port	COM 1
Baud rate	9600 baud
Parity	None
Data bits	8
Stop bits	1
Handshaking	Hard
Input (Receive) buffer	4 kbytes
Output (Transmit) buffer	2 kbytes
Local echo	Yes
Stream switch character	Hex 7C (|)
Editor	NOTEPAD
Connect bell	Yes
Disconnect bell	Yes
Connect log	No
YAPP timeout	120 seconds
Confirm on exit	Yes
Word-wrap transmit text	Yes
Transmit window width	75 characters
Annotate log file	Yes
Packet length	128 characters
YAPP packet length	128 characters
Connect WAV filename	None
Disconnect WAV filename	None
TNC INI file	No
AutoSplit	No
Split Mode	H
Receive Window text colour	Black
Receive Window back colour	White
Receive Window font	Terminal
Receive Window font size	9 pt
Receive Window italic	No
Receive Window bold	No
Receive Window underline	No
Receive Window strikethru	No
Transmit Window text colour	Black
Transmit Window back colour	White
Transmit Window font	Terminal
Transmit Window font size	9 pt
Transmit Window italic	No
Transmit Window bold	No
Transmit Window underline	No
Transmit Window strikethru	No

All the above parameters are stored in the UltraPak initialisation file, ULTRAPAK.INI They may be changed by displaying the User Options window (from the Configure Menu or by pressing F11)


ULTRAPAK.INI

The initialisation file used by UltraPak to maintain user options, fonts, colours etc.  ULTRAPAK.INI should be located in the Windows  directory (normally \WINDOWS).

CAUTION !!

Be careful not to accidentally delete ULTRAPAK.INI !  UltraPak will not start without it !


Registering UltraPak

How to Register UltraPak

UltraPak is distributed on a Shareware basis as a demo. version.  The demo. version is fully functional in all respects, but is limited to a session of approximately 30 minutes.

The demo. is intended to give you the facility to try out UltraPak and see if it is to your liking.  It may be run as many times as you like.

To receive the working version of UltraPak, plus a manual and notification of upgrades and new releases, you need to register.  Registration costs 20 (twenty) pounds sterling.  Send a cheque, or P.O. (no cash please) to :

Tim Kearsley,

13, Newman Street,

Higham Ferrers,

RUSHDEN,

Northants,  NN10 8JP

England

Please allow up to 14 days for delivery.  Software will be supplied on 3.5 inch floppy disc (1.44 Mbyte) unless specifically requested otherwise.  For convenience, the manual is supplied on disc.  Please indicate the format you would like to recive it in.  Currently supported formats are:

DOS text

WORD 6.0

WordPerfect 5.1

WINDOWS Write

If possible, use the REGFORM.TXT file to register, as less problems are likely to arise when using a common format for ordering.


Baud Rate

The rate of data communication.  One baud is approximately one bit per second.

UltraPak defaults to a baud rate of 9600, but valid values are 300, 600, 1200, 2400, 4800, 9600 and 19200.


Handshaking

The means of ensuring that data is not lost between two pieces of equipment by overflow, i.e. data being sent by one piece of equipment before the other is ready.

Handshaking is done in hardware, by signals on a pair of lines, or in software by sending special Start (XON) and Stop (XOFF) signals inserted into the data stream.

UltraPak defaults to hardware handshaking but can be set to software, both or neither.


Word length

The length of each word or byte sent needs to be defined in terms of the number of data bits and the number of stop bits.

UltraPak defaults to 8 data bits and 1 stop bit, but data bits can be set to 6, 7 or 8 and stop bits can be set to 1, 1.5 or 2.


Parity

A parity bit is a bit added to the data to enable elementary error-checking.  For example, if even parity is selected, then a 1 will be added to the data if the number of 1s is odd, thus ensuring that the receiving equipment should always see an even number of 1s and enabling that equipment to recognise that an error has occurred if the number of 1s is odd.

UltraPak defaults to no parity, but can be set to Even, Odd, Mark or Space also.


COM Port

The port used on the computer for communication with external devices.  Most PCs have COM 1 and COM 2 available (though one of them may have a mouse connected) and COM 3 and COM 4 may be available also.

The COM port is for serial communication.

UltraPak will work with COM 1 through to 4.  The default is COM 1.


YAPP

The YAPP (Yet Another Packet Program) protocol was developed by Jeff Jacobsen, WA7MBL for the transfer of binary files.

UltraPak supports the YAPP protocol for binary uploads and downloads.


TNC Settings

UltraPak requires a number of TNC parameters to be specified correctly in order to function properly.

Additionally, UltraPak will, in certain circumstances, modify some TNC parameters itself.

You should take note of the following :

The STREAMSW character must be the same to UltraPak as it is to the TNC for the stream-switching to be recognised correctly.  The usual character is the | character, (Hex 7C, Decimal 124).

The handshaking options should match to ensure error-free transmission of data.  If UltraPak is set for hard handshaking then the TNCs XFLOW parameter should be set to OFF.  If UltraPak is set for soft handshaking then the TNC should have XFLOW ON, and XON set to Hex 11 (Decimal 17)  and XOFF set to Hex 13 (Decimal 19).

When performing YAPP binary file transfers, UltraPak will use the PACLEN parameter set up in user options to set the TNC.  Note that the TNC will be reset when the transfer is complete to the ordinary PACLEN parameter set up in user options.

The complete list of recommended TNC settings is listed below.  Settings which do not require any change from the default are not listed unless their value is specifically important to UltraPaks correct operation.

Parameter	Setting	Comments
8bitconv	ON	Allows all 8 bits to be transmitted
Autolf	ON	Receive Window display will not function properly if not ON
Awlen	ON	Sets word length to 8 bits
Cbell	OFF	Not needed as the connect bell function is handled by UltraPak
Cmdtime	1	This should not be altered or UltraPak may not handle YAPP transfers properly
Command	3	If altered, UltraPak will not be able to put the TNC into COMMAND mode
Echo	OFF	It is usually tidier to set the TNCs ECHO OFF and set UltraPak to LOCAL ECHO.  If UltraPak is set to NO LOCAL ECHO, you should turn the TNCs ECHO ON
Flow	OFF	When working multi-connect, turning FLOW OFF will ensure that all windows are updated properly
LCStream	ON	UltraPak requires stream identifiers to be upper case
Paclen		UltraPak has its own Paclen parameter stored in ULTRAPAK.INI.  When returning from a YAPP transfer, UltraPak will set the TNC to its own Paclen value.
Sendpac	13	UltraPak will not work properly if the Sendpac character is set to other than ASCII 13 (CR)
Start	17	The XON character.  ASCII 17 (Ctrl-Q) is normal. If a different character is used, software handshaking will not function properly
Stop	19	The XOFF character.  ASCII 19 (Ctrl-S) is normal If a different character is used, software handshaking will not function properly
Streamca	OFF	UltraPak does not expect the callsign to follow the stream-switch character.  Although stream-switching will function correctly with Streamca ON, the display will not filter out the callsigns
Streamdbl	ON	This must be left ON for the stream-switching to work reliably.  If set OFF, unexpected stream-switching is likely to occur
Streamsw	&7C	This value must match what is set in UltraPak.  Any character can be used in theory, but it is probably best to leave it as the | character (ASCII &7C)
Xflow		Should be set ON for software handshaking and OFF for hardware handshaking
Xoff	19	As  for Stop above
Xon	17	As for Start above


Searching for Text

UltraPak has a Search facility, enabling a piece of text to be searched for in the Receive Window.  Searches can be sensitive to case or not.

To invoke a search, either select Find... from the Options Menu, or press Shift-F2.  Double-clicking on the Receive Window will also begin a search.

Enter the piece of text to search for into the box.  Note that the default is for the search to be insensitive to case.  If you wish to make the search case-sensitive, leave the Ignore case check box unchecked.

Click on the OK button to begin the search.  If the piece of text is found, the first occurrence of it will be highlighted.  To continue searching for the same text, press Shift-F3.


Receive Window

The screen area where received text is displayed.  The Receive Window has a capacity of approximately 25 kilobytes.  When that capacity is exceeded, text is lost from the start of the buffer, so that the most recently received text is last to be lost.  The status of the Receive Window buffer is continuously displayed at the lower right corner of the main screen as a percentage used.

The contents of the buffer can be reviewed with the horizontal and vertical scroll-bars at the bottom and right-hand side of the window respectively.  The  Up-Arrow, Down-Arrow, Page Up, Page Down, Home and End keys can also be used to scroll the Receive Window a line at a time, a page at a time or to go to the top or bottom of the buffer respectively.


Transmit Window

The screen area where text is typed to be transmitted to the TNC.  The transmit window is only one line deep and text is sent immediately to the TNC when either the SENDPAC character is typed (RETURN), or the end of line is reached, as defined by the current screen width setting.  Text will be word-wrapped or not, according to the word-wrap setting.


UltraPak Directory Structure

When UltraPak is installed, you have the choice of where to install it.  The default directory is C:\ULTRAPAK but any other name may be chosen.

Beneath that home directory, UltraPaks setup program will create three further directories :

\BIN

\LOG

\TXT

So the directory tree looks like this :

The function of each directory is thus :

\BIN is used as the default location where any binary (i.e. program, image) files to be transferred by the YAPP protocol are located.  They may of course be located elsewhere if required.

\LOG is the default location for log files to be stored.

\TXT is the default location for all ASCII files to be uploaded or downloaded.

Note that in all cases, files may be located anywhere, the directories are merely provided as useful defaults.


TNC Commands

TNC Command Reference

The command reference indicates the syntax and useage of the TNC-2 command set.

The format of each definition is thus:

TItle

Parameters  Default

A description of the command.

The title is the command keyword.  The capitalised, red portion of the command is the minimum that can be entered for the command to be recognised.

The parameters are the type and range of the parameters, or arguments that the command expects.  Some commands have no parameters.

The default is what the command will use as a parameter or argument if none is supplied.

The description is a brief one, describing what action the command will invoke.

COMMANDS

~~~~~~~~~~

3rdparty	8bitconv	ADrdisp
AMonth	AUtolf	AWlen
Ax25l2v2	AXDelay	AXHang
BBSmsgs	Beacon	BKondel
BReak	BText	BUdlist
CALibra	CALSet	CANline
CANPac	CBell	CHeck
CLKadj	CMdtime	CMSg
CMSGDisc	COMmand	CONMode
Connect	CONOk	CONPerm
CONStamp	CONVers	CPactime
CR	CStatus	CText
CWid	CWLen	CWIDText
DAytime	DAYUsa	DELete
DIGipeat	Disconne	DISPlay
DWait	Echo	EScape
Flow	FRack	FUlldup
HEaderli	HEALled	HId
Id	K	KIll
KISs	LCAlls	LCok
LCStream	LFadd	LFIgnore
List	MAll	MAXframe
MCOM	MCon	MFilter
MHClear	MHeard	MNonax25
Monitor	MRpt	MStamp
MYAlias	MYcall	MYPcall
NEwmode	NOmode	NUcr
NULf	NULLs	Paclen
PACTime	PARity	PASs
PASSAll	PErsist	PMs
PIdcheck	PPersist	Read
RECOnnect	REDispla	RESET
RESptime	RESTART	REtry
RXblock	Screenln	SEND
SEndpac	SLottime	STArt
STATus	STExt	STOp
STREAMCa	STREAMDb	STReamsw
TRACe	Trans	TRFlow
TRIes	TXdelay	TXFlow
TXUifram	Unproto	USers
Xflow	XMitok	XOff
XON


Multiple Receive Windows
Using Multiple Receive Windows

Most TNCs have ten streams available (actually eleven, including the PMS stream) usually labelled A through J (PMS is stream K).  Separate connections can be maintained on these streams.  In practice, it is unusual for more than two or three streams to be in use at any one time.  However, UltraPak will allow all ten to be used if necessary.  The buttons and status displays just below the Transmit Window are used to switch between streams and to provide a simple display of the status of all streams at any time.

Switching between streams is achieved by clicking on the appropriate stream button, or by using the Alt key plus a key for whatever stream is required.  E.g to switch to stream H, you could either click on the H button or hold down Alt and press H.  You can also use the Stream menu to switch streams, but this is less efficient than the previous methods.  Each stream has its own idependent Receive Window.

Note that when switching between streams the TNC remains in whatever mode it was in for the previous stream (i.e COMMAND or CONVERSE).

It is also very important to remember that for the proper stream processing to be carried out by UltraPak, the stream-switch character used by the TNC and UltraPak MUST MATCH.  Equally, the STREAMDb option must be set to ON in the TNC.

When switching between streams, the currently active stream will have the appropriate button illuminated red, and the current stream id. will be displayed.  Each button has the callsign of the station connected to (if any) on that stream displayed in the panel at the side of it.

If traffic arrives for a stream that is not the currently active one, the callsign on that stream will turn red, to indicate that new data has arrived.  You may view that new data by changing to that stream, when the callsign will revert to black.

Because of the way that UltraPak senses whether a new connection or disconnection has occurred on any given stream, it is possible (though very unlikely) that it can be fooled into reporting a false status.  If this seems to have occurred, you can interrogate the TNC to verify the status of all streams by clicking the Ver button.  UltraPak will update all displays to reflect the correct stream status.

Splitting the Receive Window

Optionally, you may choose to split the Receive Window when connected to more than one station, so that traffic on both streams is visible on screen at the same time.

You can split the Receive Window at any time by clicking on the Win button, or by selecting the Split/Unsplit option from the Window menu.

A window will open allowing you to choose which stream window to put at the top (or left) and which at the bottom (or right).  The direction of window splitting can be chosen by clicking the appropriate option button to set the Split mode.

The Win button behaves as a toggle, so that clicking on it when the Receive Window is split will unsplit it and leave you with one window for the current stream.

If the AutoSplit option is chosen, then the Receive Window will split automatically when you connect to more than one station.  The direction of screen splitting (i.e. horizontal or vertical split) depends on the Split Mode setting.  If you are working with a split screen and connected to more than two stations, then the third (undisplayed) window cannot be accessed until you unsplit the two displayed windows.

The AutoSplit facility will automatically unsplit the Receive Window when you revert to just one connection.

(Note that, in the above discussion, a connection on the PMS stream (stream K) does not count in deciding how many streams are connected.  So if you were connected on stream B, but also had a connection on stream K, AutoSplit would not split the Receive Window)

Swapping Windows and Window Formats

When using split Receive Windows, you may swap between the two displayed streams by using the Shift-F1 keys.

To change the split direction, use Shift-F4.


Menu Structure
UltraPaks Menu Structure

File ---------	Save settings
|	Exit
|
Edit --------	Copy Receive buffer...
|	Find...
|	Find Next...
|
Configure -	Set time...
|	Set date...
|	Port ------------------------------	COM Port...
|	|	Handshaking...
|	|	Settings...
|	|	Buffers...
|	User Options...
|	Colours -------------------------	Receive Window Background
|	|	Receive Window Text
|	|	Transmit Window Background
|	|	Transmit Window Text
|	|
|	Fonts ----------------------------	Receive Window
|		Transmit Window
|
Transfer ---	Connect/Disconnect
|	ASCII ----------------------------	Upload
|	|	Download
|	YAPP ---------------------------	Upload
|		Download
Options ----	Print
|	Log to disc
|	Clear Receive Window
|	Set TNC date/time
|	Prepare Message
|	Utilities --------------------------	DOS
|		Editor
|		File Manager
|		Print Manager
|
Stream -----	Stream A
|	Stream B
|	Stream C
|	Stream D
|	Stream E
|	Stream F
|	Stream G
|	Stream H
|	Stream I
|	Stream J
|	Verify Stream Status
|
Window ---	Split/unsplit Receive Window
|	Go to other window
|	Change split mode
|
Help --------	Contents
	Search for Help on...
	About...
	Help on Help


AutoSplit

AutoSplit is a facility which automatically splits the Receive Window whenever you connect to more than one station.  AutoSplit can be set from the User Options screen by checking the AutoSplit box.

If you use AutoSplit, or if you manually split the Receive Window, you should specify the Split Mode also, which determines the direction in which the window splits.


Split Mode

The split mode determines which way the screen will split when you connect to more than one station.  Setting split mode to H will split the window horizontally.  Setting split mode to V will split it vertically.

Split mode may be set from the User Options screen by clicking the appropriate option button.


Accessing Other Programs

It is possible to gain access to programs running outside UltraPak without ending the session, or even minimising UltraPaks window.

The following are accessible by clicking on UltraPaks Button Bar or by selecting from UltraPaks menus:

To run this:	Click this:
DOS	DOS button
Print Manager	Pmn button
File Manager	Fmn button
Editor	Edit button

Or you can select from the menus.


Copying Text

Copying Text from the Receive Window

It is possible to copy text from UltraPaks Receive Window to a variety of destinations in a very flexible manner.

If you want to copy the entire Window, click on the Buf button.  A small window will open, asking you to choose a destination for the text.  You may choose either the Windows Clipboard, a disc file, UltraPaks Message Buffer or the printer.  If you choose to copy the Window to  a disc file, a dialog box will open allowing you to choose a file-name.  Additionally, you will be asked if you wish to continue to log incoming data to this file.

If you wish to copy only a part of the Receive Window, select the text you wish to copy in the normal Windows manner, i.e. by clicking on the start of the text and dragging over the text you want to copy so that it is highlighted.  Click on the Buf button and the procedure is as before.


3rdparty

ON or OFF

Allows or disallows messages to be left on the PMS for stations other than the callsign owning the PMS.  In the U.K. must be set to OFF unless licensed to do otherwise.


8bitconv

ON or OFF

Determines whether the high order bit (the MSB) of a byte is stripped before transmission from the TNC.  ON means the bit is not stripped, OFF means bit 7 is stripped off.


ADrdisp

ON or OFF

If ON, displays the callsigns of packets being monitored.


AMonth

ON or OFF

Controls how the month is displayed in dates.  ON displays the month in alphabetic form, (e.g. 23-JUL-94), OFF displays it in numeric form (e.g. 23/07/94).


AUtolf

ON or OFF

Controls whether a Line Feed character is automatically appended to each Carriage Return character recieved by the TNC on incoming packets.  ON means add a LF.


AWlen

7 or 8

Controls whether 7 or 8 data bits are used for data transmission between the serial port and the TNC.


Ax25l2v2

ON or OFF

Selects which version of the AX25 protocol is used.  ON uses Level 2, version 2.  OFF uses level 2, version 1.


AXDelay

0 to 180

Specifies the extra delay to be added after the transmitter is keyed, before commencing to send data.  The delay is additional to that specified by TXDelay.  The parameter is multiplied by 10 and the resulting delay is in milliseconds.  Used for repeater access.


AXHang

0 to 20

Repeater hang time.  The parameter is multiplied by 100 and the resulting delay is in milliseconds.


BBSmsgs

ON or OFF

When ON, certain messages to the terminal program are suppressed.  Its use is primarily to enable easy interfacing to some BBS software.


Beacon

Every or After  0 to 250

Transmits the Btext beacon text either every n seconds, or after n seconds after last transmission.  The parameter is multiplied by 10 to give the interval n seconds.


BKondel

ON or OFF

Determines the way in which the backspace key operates.  If ON, the backspace key operates normally, i.e. the character is deleted.  If OFF, the backspace key echoes a backslash (\) character.


BReak

ON or OFF

Controls the response of the TNC to a BREAK signal.  When ON the TNC enters command mode on receipt of a BREAK signal.


BText

Text.  Default is blank.

The text string which is sent  every time the Beacon command operates.


BUdlist

ON or OFF

Operates with the Lcalls and MONitor commands.  When ON, packets from stations not in the Lcalls list are not displayed.  When OFF, the converse is true.


CALibra

[Space], D, K, Q  No default

Calibrates the tones used by the TNC.  The parameters are not supplied on the command line, but used within CALIBRATE mode.  The parameters have the following actions:

[Space]  Switch to the other tone (i.e. LOW to HIGH, HIGH to LOW)

D  Pulse both tones alternately

K  Toggle the PTT line ON and OFF

Q  Quit CALIBRATE mode


CALSet

0 to 65535

Used with the CALibrate command to set the tones to calibrate the TNCs modem.


CANline

0 to 127  Default is 24 (Ctrl-X)

Sets the character which will cancel an entered line before sending it to the TNC.


CANPac

0 to 127  Default is 25 (Ctrl-Y)

Sets the character which will cancel a packet.


CBell

ON or OFF

Determines whether a bell character is sent to the TNC with the connect message.  ON means the bell character is sent.  OFF means no bell character is sent.


CHeck

0 to 250  Default is 30

The inactivity timer.  The paramter supplied is multiplied by 10 to give a time in seconds.  If there has been no activity after that time has elapsed the TNC will force a disconnect.


CLKadj

0 to 65535

Adjusts the TNCs internal clock.  The parameter supplied is used in a formula to determine a factor by which to adjust the TNC clock.


CMdtime

0 to 250  Default is 1

The TRANSPARENT mode timeout.  The parameter supplied is the timeout value in seconds.  Determines the timing for exiting from TRANSPARENT mode.

If the Cmdtime parameter is n seconds then to exit from TRANSPARENT mode, three Ctrl-C characters must be sent  within n seconds.


CMSg

ON or OFF

Determines whether a connect message (defined by Ctext) is sent when a station connects to your TNC.


CMSGDisc

ON or OFF

If set to ON, disconnects after an acknowledgement of the Ctext packet is received.


COMmand

0 to 127  Default is 3 (Ctrl-C)

Sets the character which will switch the TNC into COMMAND mode.


CONMode

CONV or TRANS

Sets the mode which the TNC will enter on connecting.  If set to CONV, the TNC will enter CONVERSE mode.  If set to TRANS, the TNC will enter TRANSPARENT mode.


Connect

No default.  Parameter supplied is the callsign of the station to connect to.

Attempts to establish a connection to the station whose callsign is supplied.  The connect may be VIA one or more repeaters.

Connect without parameters returns the current link state.


CONOk

ON or OFF

Determines whether your TNC can be connected to.  ON allows connects, OFF disallows connects.


CONPerm

ON or OFF

Selects temporary or permanent connection.  If ON, permanent connection is selected.  OFF selects temporary (normal) connections.


CONStamp

ON or OFF

Determines whether the date and time are appended to the CONNECT message.  ON appends the date and time, OFF disables time stamping.


CONVers

No default

Puts the TNC into CONVERSE mode.  The same effect can be achieved by entering K.


CPactime

ON or OFF

Enables or disables timed packet sending.  If ON, any unsent packets are sent after PACTime has elapsed.  If OFF timed sending is disabled.


CR

ON or OFF

Determines whether a carriage return (CR) character is appended to each packet or not.  ON appends a CR, OFF does not.


CStatus

No default

Displays the link status of all streams and identifies the current stream.


CText

Default is blank.

The message (up to 120 characters maximum) which is sent to a station connecting to your TNC.  CMsg must be ON for the text to be sent.


CWid

E or A  0 to 250

Sends the CW ID either Every, or After the parameter supplied multiplied by 100 seconds.  After means after the last transmission.


CWLen

1 to 9  Default is 6

Determines the speed at which the CW ID is sent.  The smaller the parameter supplied, the faster the CW is sent.  A value of 6 sends at around 20 words per minute, 3 sends at 40 wpm.


CWIDText

Default is blank

A short piece of text (up to 32 characters) which is sent in Morse if CWid is enabled, and at a speed set by CWLen.


DAytime

yymmddhhmm  No default

Sets or displays the TNCs date and time.  The date and time supplied must be in the format shown.  For example, 29th November, 1994 2.15 p.m. would be set thus:

DAytime 9411291415


DAYUsa

ON or OFF

Selects the format in which to print dates.  ON formats dates as mm/dd/yy, OFF formats dates as dd/mm/yy.


DELete

ON or OFF

Selects the DELETE character.  ON uses the [DEL] character (ASCII 127), OFF uses the [BACKSPACE] character (ASCII 8).


DIGipeat

ON or OFF

Determines whether digipeating is allowed through the TNC.  ON allows digipeating.  OFF disallows digipeating.


Disconne

No default

Initiate an immediate DISCONNECT.


DISPlay

A, C, H, I, L, M, T or no parameter

Displays various parameters, counters etc.  The display depends on the parameter supplied thus:

No parameter	Displays all parameters and their current values

A	Displays asynchronous port parameters

C	Displays special characters

H	Displays health parameters and counters

I	Displays ID parameters

L	Displays link parameters

M	Displays monitor parameters

T	Displays timing parameters


DWait

0 to 250  Default is 16

Specifies the extra delay to be inserted for digipeating.  The parameter supplied is multiplied by 10 and the result is the delay in milliseconds.


Echo

ON or OFF

Specifies whether characters entered into the TNC are echoed to the screen by the TNC.  ON echoes characters to the screen, OFF disables echoing.


EScape

ON or OFF

Determines how the ESCAPE character is displayed.  ON translates the ESCAPE character to $ (ASCII 36), OFF leaves the ESCAPE character as ASCII 27.


Flow

ON or OFF

Enables or disables flow control while data is being entered into the TNC.  ON disables output from the TNC while characters are being typed into it.  OFF enables TNC output while receiving input.


FRack

1 to 15  Default is 3

Specifies the time to wait for an acknowledgement before retrying the frame.  The parameter supplied is the time in seconds.


FUlldup

ON or OFF

Selects whether to use simplex or duplex mode.  ON uses duplex mode, OFF uses simplex mode.


HEaderli

ON or OFF

Selects whether the header and text of received packets when monitoring is on the same line or separate lines.  ON displays the header on a separate line.  OFF displays the header and text on the same line.


HEALled

ON or OFF

Determines whether the CON and STA LEDs behave normally or monitor software.  ON means the TNC will flash the CON and STA LEDs.  OFF means the CON and STA LEDs behave normally.


HId

ON or OFF

Enables or disables the sending of an ID packet every 9.5 minutes.  ON means the TNC will send an ID every 9.5 minutes (the ID is the station callsign). OFF disables the ID.


Id

No default

Force an ID packet to be sent.


K

No default

Enter CONVERSE mode.  This is equivalent to issuing the CONVers command.


KIll

Message number  No default

Kills (deletes) the message number supplied in the PMS.


KISs

ON or OFF

Setting KISS ON puts the TNC into KISS mode.  The TNC then behaves as a dumb packet assembler/disassembler.  To turn KISS OFF requires the controlling software to send a character ASCII 255.


LCAlls

Calls (up to 8)  Default is blank

The list of calls which are to be either accepted or rejected, depending on how BUdlist is set.


LCok

ON or OFF

Specifies whether case conversion is to be carried out on received text.  ON means that text is passed by the TNC unchanged.  OFF means that the TNC will change all lower-case text to upper-case.


LCStream

ON or OFF

Specifies whether to allow lower-case stream identifiers.  ON means the stream ID character will be forced to upper-case.  OFF means that the stream ID character will be unchanged.


LFadd

ON or OFF

Specifies whether to add a line feed character (LF) after each carriage return on transmitted packets.  ON means add a LF character, OFF means do not.


LFIgnore

ON or OFF

Specifies whether to ignore line feed characters in incoming text.  ON means ignore embedded LF characters, OFF means act on embedded LF characters.


List

No default

Lists the message headers in the PMS.


 MAll

ON or OFF

Determines whether all or only unconnected (UNPROTO) frames are monitored.  ON means that all frames are monitored.  OFF means that only unconnected frames are monitored.


MAXframe

1 to 7  Default is 4

Specifies the maximum number of outstanding unacknowledged frames which may be allowed at any given time.


MCOM

ON or OFF

Specifies whether all frames or only data frames should be monitored.  ON means that  all frames are monitored.  OFF means that only data frames are monitored.


MCon

ON or OFF

Determines whether frames are monitored while the TNC is connected.  ON means that frames are still monitored when the TNC is connected.  OFF means that monitoring ceases when the TNC is connected.


MFilter

Up to four characters  Default is blank

Specifies a comma-delimited list of up to four characters which will be filtered from incoming data.  The list consists of ASCII values of characters to be filtered.


MHClear

No default

Clears the MHEARD list (list of calls heard).


MHeard

No default

Display the list of calls heard.  The maximum number of entries in the list is 18.


MNonax25

ON or OFF

Specifies whether non-AX25 traffic should be monitored (e.g. NETROM level-4 traffic).  ON means that non-AX25 traffic is monitored, OFF that it is not.


Monitor

ON or OFF

Specifies whether to enable monitoring.  ON enables monitoring, OFF disables monitoring.


MRpt

ON or OFF

Specifies whether to display the digipeater path in monitored packets.  ON displays the callsigns of digipeating stations, OFF does not display them.


MStamp

ON or OFF

Selects whether monitored frames should have a time stamp or not.  ON time-stamps monitored frames, OFF does not time-stamp.


MYAlias

Callsign or identifier  Default is blank

Allows an alternative station identifier to be set up.  Useful for digipeating.


MYcall

Callsign  Default is NOCALL

Determines the station callsign.  Note that connections cannot be made until this is set.


MYPcall

Callsign  Default is NOCALL

Determines the callsign to be used for PMS (Personal Message System) operations.  Normally is set to the MYCALL parameter plus a SSID (substation ID).  E.g.  G9ZZZ-1.


NEwmode

ON or OFF

Determines how the TNCs mode changes on connection to another station.  If ON, the TNC mode changes to what is set in CONMode without waiting for the connection to be established.  If OFF, the TNC will switch to the mode specified in CONMode when the connection is established.


NOmode

ON or OFF

Specifies whether to allow explicit changes of mode.  If ON, the setting of NEwmode is ignored and mode changes must be initiated explicitly (i.e. by typing CONV, TRANS etc.).  If OFF, the TNC will switch according to NEwmode.


NUcr

ON or OFF

Specifies whether to send NULLS (i.e ASCII 0) after a carriage return (CR).  ON means send NULLS, OFF means do not send NULLS.  The number of NULLS sent is specified in the NULLs command.


NULf

ON or OFF

Specifies whether to send NULLS (i.e ASCII 0) after a line feed (LF).  ON means send NULLS, OFF means do not send NULLS.  The number of NULLS sent is specified in the NULLs command.


NULLs

0 to 30

Specifies the number of NULLS to send after a carriage return (CR) or line feed (LF) as specified in NUcr and NULf respectively.


Paclen

0 to 255  Default is 128

Specifies the maximum size of a packet.  Packets may be any size up to Paclen.


PACTime

E or A  0 to 250  Default is 10

Specifies the interval to be used for automatic sending of packets in TRANSPARENT mode, (and in CONVERSE mode if Cpactime is ON).  E sends packets Every interval, A sends packets After the interval has elapsed from last keyboard activity.  The interval is calculated as the parameter supplied multiplied by 100 milliseconds.


PARity

0 to 3

Specifies how the parity bit is set for communication between the TNC and terminal program.  The parameter supplied determines parity thus:

0  No parity

1  Odd parity

2  No parity

3  Even parity


PASs

0 to 127  Default is 22  (Ctrl-V)

Specifies which character is to be used as the PASS character.  The PASS character informs the TNC that the character following the PASS character should be transmitted as is rather than interpreted as a control or command to the TNC.  The parameter supplied represents the ASCII value of the character used.


PASSAll

ON or OFF

Specifies whether to accept packets which have invalid CRCs (Cyclic Redundancy Checks) or not.  ON means that packets with invalid CRCs will be accepted, OFF means that only packets with valid CRCs (i.e. error-free) will be accepted.


PErsist

0 to 255 Default is 127

Determines the probability of resending a frame in a given time (the Slottime).  The higher the value of the parameter supplied, the more likely the packet will be retransmitted.  A value of 255 means send without delay.


PMs

ON or OFF

Specifies whether to enable the PMS (Personal Message System) or not.  ON enables the PMS, OFF disables it.


PIdcheck

ON or OFF

Specifies whether to monitor PIDs of only F0 frames or monitor PIDs of all.  ON means monitor F0 only, OFF means monitor all.


PPersist

ON or OFF

Determines whether to use PErsist or Frack method of retry timing.  ON sets retry persistence, OFF sets Frack timeout method.


Read

Message number  No default

Reads the message from the PMS whose number is supplied.


RECOnnect

Call  No default

Commands the TNC to attempt to re-establish a link across a new path.  The parameter supplied is the callsign of the station to attempt to reconnect to.


 REDispla

0 to 127  Default is 18  (Ctrl-R)

Specifies the character to be used to command the TNC to redisplay the input line.  The parameter supplied is the ASCII value of the character to use.


RESET

No default

Resets the TNC to its default parameters.  ALL CUSTOMISED SETTINGS ARE LOST.


RESptime

0 to 250  Default is 10

Sets the delay before an acknowledgement packet (ACK) is sent.  The parameter supplied is multiplied by 100 to give the delay in milliseconds.


RESTART

No default

Resets the TNC but retains all customised settings.  Removing power from the TNC has the same effect as RESTART.


REtry

0 to 15  Default is 10

Specifies the number of retries to be made when attempting to transmit a packet before disconnecting.  Retry 0 means the TNC will retry an infinite number of times.


RXblock

ON or OFF

Specifies whether data from the TNC should be formatteded to aid computer processing.  ON means format specially, OFF means no special formatting.


Screenln

0 to 255  Default is 80

Specifies the maximum number of characters per displayed line.


SEND

Callsign  No default

Sends a message to the callsign supplied for storage in the TNCs PMS.


SEndpac

0 to 255  Default is 13  (CR)

Specifies the character to be used to force a packet to be sent. The parameter supplied is the ASCII value of the character to be used.


SLottime

0 to 255  Default is 10

Specifies the delay before random number generation for the PErsist retry method.  The parameter supplied is multiplied by 10 to give the delay in milliseconds.


STArt

0 to 255  Default is 17 (Ctrl-Q)

Specifies the character to be used to signal XON in software handshaking. The parameter supplied is the ASCII value of the character to be used.


STATus

No default

Commands the TNC to give the status of connection and ACK frames.


STExt

Text  Default is blank

Determines the text string to be used as a prompt for PMS users.  STExt will be sent when a station connects to the PMS.


STOp

0 to 255  Default is 19 (Ctrl-S)

Specifies the character to be used to signal XOFF in software handshaking. The parameter supplied is the ASCII value of the character to be used.


STREAMCa

ON or OFF

Specifies whether to show the callsign appended to the stream ID.  ON appends the station callsign to the stream ID, OFF does not.


STREAMDb

ON or OFF

Specifies whether to display the stream-switch character once or twice.  ON displays the stream-switch character twice, OFF displays it once.


STReamsw

0 to 255  Default is 124  (|)

Specifies the character used to signify a stream-switch. The parameter supplied is the ASCII value of the character to be used.


TRACe

ON or OFF

Selects whether to display data in hexadecimal or normally.  ON selects hexadecimal display of headers and data, OFF selects normal display.


Trans

No default

Puts the TNC into TRANSPARENT mode.


TRFlow

ON or OFF

Determines whether to use software flow control when in TRANSPARENT mode.  ON enables flow control, OFF disables it.


TRIes

0 to 15  No default

Specifies the number of retries for the current frame.  If TRIes is entered without an argument, the number of retries for the current unacknowledged frame is returned, or the last frame acknowledged if no unacknowledged frame exists.


TXdelay

0 to 120  Default is 30

Specifies the delay before sending data.  The TNC will wait TXdelay milliseconds before sending data after keying the transmitter.  The parameter supplied is multiplied by 10 to give the delay in milliseconds.


TXFlow

ON or OFF

Determines whether to use software flow control when in TRANSPARENT mode.  ON enables flow control, OFF disables it.


TXUifram

ON or OFF

Determines whether UNPROTO frames may be sent.  ON allows UNPROTO (UI) frames to be sent, OFF disallows them.


Unproto

Call  Default is CQ

Specifies the call to be used as the address for unconnected packets (e.g. Beacon packets).


USers

0 to 10  Default is 1

Specifies the maximum number of incoming connections allowed.


Xflow

ON or OFF

Specifies whether to use software (XON/XOFF) or hardware (RTS/CTS) flow control (handshaking).  ON specifies software flow control, OFF specifies hardware flow control.


XMitok

ON or OFF

Determines whether the PTT line may be activated by the TNC or not.  ON means the PTT may be activated, OFF means that the PTT line is disabled.


XOff

0 to 255  Default is 19 (Ctrl-S)

Specifies the character to be used to signal XOFF in software handshaking. The parameter supplied is the ASCII value of the character to be used.


XON

0 to 255  Default is 17 (Ctrl-Q)

Specifies the character to be used to signal XON in software handshaking. The parameter supplied is the ASCII value of the character to be used.